.logo:hover .element2 {
    transform: rotate(1turn);
}

.logo:hover .element1 {
    transform:rotate(-360deg);
    transform: rotate(-1turn);
}

.element1 {
    -o-transition: transform 0.7s linear;
    -ms-transition: transform 0.7s linear;
    -moz-transition: transform 0.7s linear;
    -webkit-transition: transform 0.7s linear;
    transition: transform 0.7s linear;

    position:absolute;
    margin:1.5% 0 0 2.6%;
    width:65px;
    height:65px;
    background-repeat: no-repeat;
    background-image: url(../images/element_one.png);
}

.element2 {
    -o-transition: transform 0.7s linear;
    -ms-transition: transform 0.7s linear;
    -moz-transition: transform 0.7s linear;
    -webkit-transition: transform 0.7s linear;
    transition: transform 0.7s linear;
    position:absolute;
    margin:1.5% 0 0 2.4%;
    animation-duration:1.5s;
    width:65px;
    height:65px;
    background-image: url(../images/element_two.png);
}
